#ifndef VY_ASSETS_H
#define VY_ASSETS_H

#include <stdint.h>

/* Unique identifier for an asset. */
typedef uint32_t vy_uid;

#define VY_INVALID_UID 0

/* Used to identify renderer backend dependent assets. */
enum {
    VY_INVALID_RENDERER_BACKEND_CODE = 0,
    VY_RENDERER_BACKEND_CODE_VK      = 1,

    VY_RENDERER_BACKEND_CODE_ONE_PAST_LAST,
};
typedef uint8_t vy_renderer_backend_code;

#endif